Bug 111302 - after a few searches, get stuck with 'clearing previous results'
after a few searches, get stuck with 'clearing previous results'
Status: RESOLVED FIXED
Product: ruby
Classification: Unclassified
Component: Code
6.x
PC Windows Vista
: P2 (vote)
: 6.x
Assigned To: Torbjorn Norbye
issues@ruby
: THREAD
: 107784 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-28 21:59 UTC by jamespb
Modified: 2007-09-28 21:59 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
thread dump (69.53 KB, text/plain)
2007-07-28 22:00 UTC, jamespb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jamespb 2007-07-28 21:59:48 UTC
Ran a few search across files, and then got stuck with the search results window just showing 'clearing previous results.'

Build 3152.
Comment 1 jamespb 2007-07-28 22:00:18 UTC
Created attachment 45868 [details]
thread dump
Comment 2 jamespb 2007-07-28 22:00:55 UTC
Product Version: NetBeans Ruby IDE 070728 Java: 1.6.0_01; Java HotSpot(TM) Client VM 1.6.0_01-b06 System: Windows Vista
version 6.0 running on x86; Cp1252; en_US (nbrubyide) Userdir: C:\Users\James\AppData\Roaming\.nbrubyide\dev
Comment 3 jamespb 2007-07-28 22:02:31 UTC
The searches were 'Find in Projects'
Comment 4 Torbjorn Norbye 2007-08-02 20:38:50 UTC
The bug sounded like an issue with project search, but in looking at the thread dump I see a very suspicious number of RequestProcessors serving RHTML 
parsing tasks. Bumping up priority.
Comment 5 Torbjorn Norbye 2007-08-10 01:17:14 UTC
*** Issue 107784 has been marked as a duplicate of this issue. ***
Comment 6 jamespb 2007-08-29 02:10:16 UTC
Just a note that I haven't seen this problem again in the last two weeks.
Comment 7 Martin Krauskopf 2007-08-29 10:38:03 UTC
From the thread dump it can be seen it is a famous RequestProcessor flood problem. There are exactly 50 (default RP
limit) org.netbeans.modules.ruby.rhtml.loaders.BackgroundParser tasks running. So default RP does not have chance to
serve another task.
Comment 8 Torbjorn Norbye 2007-08-29 15:18:31 UTC
Yes; it looks like this happens because each of the RequestProcessors are stuck waiting on the jruby lock (from
RepositoryUpdater). I've been meaning to port over a bunch of fixes from the Retouche RepositoryUpdater, but since they
have been struggling with a deadlock (issue 110074) I've been holding off until that code is settled.
Comment 9 Torbjorn Norbye 2007-09-22 00:19:15 UTC
I got another report of this problem today: "This occurred when I double-clicked on routes.rb in the projects pane to
open it in the editor. there were a dozen or so rhtml files open at the time but all had been saved and not changed
since being saved.".  The thread dump was pretty much the same: The RHTML files are filling up the parser queue and
blocking further request processing.

I've gotta find out why the RHTML tasks are all blocked.
Comment 10 Torbjorn Norbye 2007-09-28 21:58:56 UTC
This is fixed now.  I rewrote the RHTML source model code to use GSF instead such that it will play nicer with Ruby
parser jobs. I also ripped out the old way that I had implemented language embedding, and the new approach is a lot
cleaner and makes more Ruby source tasks work well in RHTML as well - such as quick fixes. For some reason, highlighting
itself isn't working in RHTML - something with the editor layers for me to check into, so I've disabled semantic
highlighting and occurrences marking.

In any case, the hangs related to stalled RHTML parsing tasks should be gone now.

IDE:-------------------------------------------------
IDE: [9/28/07 1:46 PM] Committing started
cvs server: scheduling file `editing/catalog.xml' for addition
cvs server: scheduling file `rhtml/src/org/netbeans/modules/ruby/rhtml/RhtmlParser.java' for addition
cvs server: scheduling file `rhtml/src/org/netbeans/modules/ruby/rhtml/RhtmlFinder.java' for addition
cvs server: scheduling file `rhtml/src/org/netbeans/modules/ruby/rhtml/RhtmlLanguage.java' for addition
cvs server: scheduling file `rhtml/src/org/netbeans/modules/ruby/rhtml/RhtmlCompleter.java' for addition
cvs server: use 'cvs commit' to add these files permanently
Checking in rhtml/src/org/netbeans/modules/ruby/rhtml/editor/RhtmlKit.java;
/cvs/ruby/rhtml/src/org/netbeans/modules/ruby/rhtml/editor/RhtmlKit.java,v  <--  RhtmlKit.java
new revision: 1.8; previous revision: 1.7
done
Checking in rhtml/src/org/netbeans/modules/ruby/rhtml/editor/RhtmlCodeTemplateFilter.java;
/cvs/ruby/rhtml/src/org/netbeans/modules/ruby/rhtml/editor/RhtmlCodeTemplateFilter.java,v  <--  RhtmlCodeTemplateFilter.java
new revision: 1.2; previous revision: 1.1
done
Checking in hints/extrahints/src/org/netbeans/modules/ruby/extrahints/ConstantNames.java;
/cvs/ruby/hints/extrahints/src/org/netbeans/modules/ruby/extrahints/ConstantNames.java,v  <--  ConstantNames.java
new revision: 1.4; previous revision: 1.3
done
Checking in hints/extrahints/src/org/netbeans/modules/ruby/extrahints/AttributeIsLocal.java;
/cvs/ruby/hints/extrahints/src/org/netbeans/modules/ruby/extrahints/AttributeIsLocal.java,v  <--  AttributeIsLocal.java
new revision: 1.3; previous revision: 1.2
done
Checking in hints/extrahints/src/org/netbeans/modules/ruby/extrahints/InsertParens.java;
/cvs/ruby/hints/extrahints/src/org/netbeans/modules/ruby/extrahints/InsertParens.java,v  <--  InsertParens.java
new revision: 1.2; previous revision: 1.1
done
Checking in hints/extrahints/src/org/netbeans/modules/ruby/extrahints/CamelCaseNames.java;
/cvs/ruby/hints/extrahints/src/org/netbeans/modules/ruby/extrahints/CamelCaseNames.java,v  <--  CamelCaseNames.java
new revision: 1.5; previous revision: 1.4
done
Checking in hints/extrahints/src/org/netbeans/modules/ruby/extrahints/NestedLocal.java;
/cvs/ruby/hints/extrahints/src/org/netbeans/modules/ruby/extrahints/NestedLocal.java,v  <--  NestedLocal.java
new revision: 1.7; previous revision: 1.6
done
Checking in hints/extrahints/src/org/netbeans/modules/ruby/extrahints/UnsafeIdentifierChars.java;
/cvs/ruby/hints/extrahints/src/org/netbeans/modules/ruby/extrahints/UnsafeIdentifierChars.java,v  <-- 
UnsafeIdentifierChars.java
new revision: 1.4; previous revision: 1.3
done
Checking in hints/extrahints/src/org/netbeans/modules/ruby/extrahints/ConvertBlockType.java;
/cvs/ruby/hints/extrahints/src/org/netbeans/modules/ruby/extrahints/ConvertBlockType.java,v  <--  ConvertBlockType.java
new revision: 1.13; previous revision: 1.12
done
Checking in gsf/nbproject/project.xml;
/cvs/ruby/gsf/nbproject/project.xml,v  <--  project.xml
new revision: 1.9; previous revision: 1.8
done
Checking in rhtml/nbproject/project.properties;
/cvs/ruby/rhtml/nbproject/project.properties,v  <--  project.properties
new revision: 1.4; previous revision: 1.3
done
Checking in rhtml/nbproject/project.xml;
/cvs/ruby/rhtml/nbproject/project.xml,v  <--  project.xml
new revision: 1.11; previous revision: 1.10
done
Checking in editing/src/org/netbeans/modules/ruby/ReflowParagraphAction.java;
/cvs/ruby/editing/src/org/netbeans/modules/ruby/ReflowParagraphAction.java,v  <--  ReflowParagraphAction.java
new revision: 1.6; previous revision: 1.5
done
Checking in editing/src/org/netbeans/modules/ruby/DeclarationFinder.java;
/cvs/ruby/editing/src/org/netbeans/modules/ruby/DeclarationFinder.java,v  <--  DeclarationFinder.java
new revision: 1.11; previous revision: 1.10
done
Checking in editing/src/org/netbeans/modules/ruby/RubyParser.java;
/cvs/ruby/editing/src/org/netbeans/modules/ruby/RubyParser.java,v  <--  RubyParser.java
new revision: 1.9; previous revision: 1.8
done
Checking in editing/src/org/netbeans/modules/ruby/SemanticAnalysis.java;
/cvs/ruby/editing/src/org/netbeans/modules/ruby/SemanticAnalysis.java,v  <--  SemanticAnalysis.java
new revision: 1.4; previous revision: 1.3
done
Checking in editing/src/org/netbeans/modules/ruby/AstUtilities.java;
/cvs/ruby/editing/src/org/netbeans/modules/ruby/AstUtilities.java,v  <--  AstUtilities.java
new revision: 1.9; previous revision: 1.8
done
Checking in editing/src/org/netbeans/modules/ruby/RenameHandler.java;
/cvs/ruby/editing/src/org/netbeans/modules/ruby/RenameHandler.java,v  <--  RenameHandler.java
new revision: 1.2; previous revision: 1.1
done
Checking in editing/src/org/netbeans/modules/ruby/NbUtilities.java;
/cvs/ruby/editing/src/org/netbeans/modules/ruby/NbUtilities.java,v  <--  NbUtilities.java
new revision: 1.4; previous revision: 1.3
done
Checking in editing/src/org/netbeans/modules/ruby/BracketCompleter.java;
/cvs/ruby/editing/src/org/netbeans/modules/ruby/BracketCompleter.java,v  <--  BracketCompleter.java
new revision: 1.32; previous revision: 1.31
done
Checking in editing/src/org/netbeans/modules/ruby/RubyPositionManager.java;
/cvs/ruby/editing/src/org/netbeans/modules/ruby/RubyPositionManager.java,v  <--  RubyPositionManager.java
new revision: 1.2; previous revision: 1.1
done
Checking in editing/src/org/netbeans/modules/ruby/RubyLanguage.java;
/cvs/ruby/editing/src/org/netbeans/modules/ruby/RubyLanguage.java,v  <--  RubyLanguage.java
new revision: 1.2; previous revision: 1.1
done
Checking in editing/src/org/netbeans/modules/ruby/RubyParseResult.java;
/cvs/ruby/editing/src/org/netbeans/modules/ruby/RubyParseResult.java,v  <--  RubyParseResult.java
new revision: 1.4; previous revision: 1.3
done
Checking in editing/src/org/netbeans/modules/ruby/TypeAnalyzer.java;
/cvs/ruby/editing/src/org/netbeans/modules/ruby/TypeAnalyzer.java,v  <--  TypeAnalyzer.java
new revision: 1.3; previous revision: 1.2
done
Checking in editing/src/org/netbeans/modules/ruby/AstPath.java;
/cvs/ruby/editing/src/org/netbeans/modules/ruby/AstPath.java,v  <--  AstPath.java
new revision: 1.3; previous revision: 1.2
done
Checking in editing/src/org/netbeans/modules/ruby/OccurrencesFinder.java;
/cvs/ruby/editing/src/org/netbeans/modules/ruby/OccurrencesFinder.java,v  <--  OccurrencesFinder.java
new revision: 1.4; previous revision: 1.3
done
Checking in gsf/src/org/netbeans/api/retouche/source/CompilationController.java;
/cvs/ruby/gsf/src/org/netbeans/api/retouche/source/CompilationController.java,v  <--  CompilationController.java
new revision: 1.2; previous revision: 1.1
done
Checking in gsf/src/org/netbeans/api/retouche/source/Source.java;
/cvs/ruby/gsf/src/org/netbeans/api/retouche/source/Source.java,v  <--  Source.java
new revision: 1.4; previous revision: 1.3
done
Checking in gsf/src/org/netbeans/api/retouche/source/CompilationInfo.java;
/cvs/ruby/gsf/src/org/netbeans/api/retouche/source/CompilationInfo.java,v  <--  CompilationInfo.java
new revision: 1.3; previous revision: 1.2
done
Checking in hints/src/org/netbeans/modules/ruby/hints/layer.xml;
/cvs/ruby/hints/src/org/netbeans/modules/ruby/hints/layer.xml,v  <--  layer.xml
new revision: 1.3; previous revision: 1.2
done
Checking in hints/src/org/netbeans/modules/ruby/hints/BlockVarReuse.java;
/cvs/ruby/hints/src/org/netbeans/modules/ruby/hints/BlockVarReuse.java,v  <--  BlockVarReuse.java
new revision: 1.11; previous revision: 1.10
done
Checking in hints/src/org/netbeans/modules/ruby/hints/ExpandSameLineDef.java;
/cvs/ruby/hints/src/org/netbeans/modules/ruby/hints/ExpandSameLineDef.java,v  <--  ExpandSameLineDef.java
new revision: 1.11; previous revision: 1.10
done
Checking in hints/src/org/netbeans/modules/ruby/hints/RailsDeprecations.java;
/cvs/ruby/hints/src/org/netbeans/modules/ruby/hints/RailsDeprecations.java,v  <--  RailsDeprecations.java
new revision: 1.9; previous revision: 1.8
done
Checking in rhtml/src/org/netbeans/modules/ruby/rhtml/editor/completion/RhtmlModel.java;
/cvs/ruby/rhtml/src/org/netbeans/modules/ruby/rhtml/editor/completion/RhtmlModel.java,v  <--  RhtmlModel.java
new revision: 1.4; previous revision: 1.3
done
Removing rhtml/src/org/netbeans/modules/ruby/rhtml/editor/completion/RhtmlHyperlinkProvider.java;
/cvs/ruby/rhtml/src/org/netbeans/modules/ruby/rhtml/editor/completion/RhtmlHyperlinkProvider.java,v  <-- 
RhtmlHyperlinkProvider.java
new revision: delete; previous revision: 1.1
done
Removing rhtml/src/org/netbeans/modules/ruby/rhtml/editor/completion/RhtmlEmbeddingModel.java;
/cvs/ruby/rhtml/src/org/netbeans/modules/ruby/rhtml/editor/completion/RhtmlEmbeddingModel.java,v  <-- 
RhtmlEmbeddingModel.java
new revision: delete; previous revision: 1.2
done
Removing rhtml/src/org/netbeans/modules/ruby/rhtml/editor/completion/RhtmlCompletionProvider.java;
/cvs/ruby/rhtml/src/org/netbeans/modules/ruby/rhtml/editor/completion/RhtmlCompletionProvider.java,v  <-- 
RhtmlCompletionProvider.java
new revision: delete; previous revision: 1.1
done
Checking in refactoring/src/org/netbeans/modules/refactoring/ruby/plugins/RenameRefactoringPlugin.java;
/cvs/ruby/refactoring/src/org/netbeans/modules/refactoring/ruby/plugins/RenameRefactoringPlugin.java,v  <-- 
RenameRefactoringPlugin.java
new revision: 1.6; previous revision: 1.5
done
Checking in refactoring/src/org/netbeans/modules/refactoring/ruby/plugins/RubyRefactoringPlugin.java;
/cvs/ruby/refactoring/src/org/netbeans/modules/refactoring/ruby/plugins/RubyRefactoringPlugin.java,v  <-- 
RubyRefactoringPlugin.java
new revision: 1.2; previous revision: 1.1
done
Checking in refactoring/src/org/netbeans/modules/refactoring/ruby/plugins/RubyWhereUsedQueryPlugin.java;
/cvs/ruby/refactoring/src/org/netbeans/modules/refactoring/ruby/plugins/RubyWhereUsedQueryPlugin.java,v  <-- 
RubyWhereUsedQueryPlugin.java
new revision: 1.3; previous revision: 1.2
done
Checking in refactoring/src/org/netbeans/modules/refactoring/ruby/WhereUsedElement.java;
/cvs/ruby/refactoring/src/org/netbeans/modules/refactoring/ruby/WhereUsedElement.java,v  <--  WhereUsedElement.java
new revision: 1.2; previous revision: 1.1
done
Checking in refactoring/src/org/netbeans/modules/refactoring/ruby/RetoucheUtils.java;
/cvs/ruby/refactoring/src/org/netbeans/modules/refactoring/ruby/RetoucheUtils.java,v  <--  RetoucheUtils.java
new revision: 1.3; previous revision: 1.2
done
Checking in refactoring/src/org/netbeans/modules/refactoring/ruby/RubyElementCtx.java;
/cvs/ruby/refactoring/src/org/netbeans/modules/refactoring/ruby/RubyElementCtx.java,v  <--  RubyElementCtx.java
new revision: 1.3; previous revision: 1.2
done
Checking in gsf/src/org/netbeans/modules/gsf/GsfEditorKitFactory.java;
/cvs/ruby/gsf/src/org/netbeans/modules/gsf/GsfEditorKitFactory.java,v  <--  GsfEditorKitFactory.java
new revision: 1.6; previous revision: 1.5
done
Checking in gsf/src/org/netbeans/modules/gsf/DefaultLanguage.java;
/cvs/ruby/gsf/src/org/netbeans/modules/gsf/DefaultLanguage.java,v  <--  DefaultLanguage.java
new revision: 1.7; previous revision: 1.6
done
Checking in gsf/src/org/netbeans/modules/gsf/SelectCodeElementAction.java;
/cvs/ruby/gsf/src/org/netbeans/modules/gsf/SelectCodeElementAction.java,v  <--  SelectCodeElementAction.java
new revision: 1.3; previous revision: 1.2
done
Checking in gsf/src/org/netbeans/modules/gsf/LanguageRegistry.java;
/cvs/ruby/gsf/src/org/netbeans/modules/gsf/LanguageRegistry.java,v  <--  LanguageRegistry.java
new revision: 1.12; previous revision: 1.11
done
Checking in gsf/src/org/netbeans/modules/gsf/Language.java;
/cvs/ruby/gsf/src/org/netbeans/modules/gsf/Language.java,v  <--  Language.java
new revision: 1.5; previous revision: 1.4
done
Checking in gsf/src/org/netbeans/modules/gsf/MimeLookupInitializerImpl.java;
/cvs/ruby/gsf/src/org/netbeans/modules/gsf/MimeLookupInitializerImpl.java,v  <--  MimeLookupInitializerImpl.java
new revision: 1.4; previous revision: 1.3
done
Checking in gsf/src/org/netbeans/modules/gsf/GsfDataNode.java;
/cvs/ruby/gsf/src/org/netbeans/modules/gsf/GsfDataNode.java,v  <--  GsfDataNode.java
new revision: 1.2; previous revision: 1.1
done
Removing rhtml/src/org/netbeans/modules/ruby/rhtml/loaders/BackgroundParser.java;
/cvs/ruby/rhtml/src/org/netbeans/modules/ruby/rhtml/loaders/BackgroundParser.java,v  <--  BackgroundParser.java
new revision: delete; previous revision: 1.1
done
Checking in editing/test/unit/src/org/netbeans/modules/ruby/SemanticAnalyzerTest.java;
/cvs/ruby/editing/test/unit/src/org/netbeans/modules/ruby/SemanticAnalyzerTest.java,v  <--  SemanticAnalyzerTest.java
new revision: 1.5; previous revision: 1.4
done
Checking in editing/test/unit/src/org/netbeans/modules/ruby/BracketCompleterTest.java;
/cvs/ruby/editing/test/unit/src/org/netbeans/modules/ruby/BracketCompleterTest.java,v  <--  BracketCompleterTest.java
new revision: 1.34; previous revision: 1.33
done
Checking in editing/test/unit/src/org/netbeans/modules/ruby/TestCompilationInfo.java;
/cvs/ruby/editing/test/unit/src/org/netbeans/modules/ruby/TestCompilationInfo.java,v  <--  TestCompilationInfo.java
new revision: 1.10; previous revision: 1.9
done
Checking in editing/src/org/netbeans/modules/ruby/lexer/LexUtilities.java;
/cvs/ruby/editing/src/org/netbeans/modules/ruby/lexer/LexUtilities.java,v  <--  LexUtilities.java
new revision: 1.10; previous revision: 1.9
done
RCS file: /cvs/ruby/rhtml/src/org/netbeans/modules/ruby/rhtml/RhtmlParser.java,v
done
Checking in rhtml/src/org/netbeans/modules/ruby/rhtml/RhtmlParser.java;
/cvs/ruby/rhtml/src/org/netbeans/modules/ruby/rhtml/RhtmlParser.java,v  <--  RhtmlParser.java
initial revision: 1.1
done
RCS file: /cvs/ruby/rhtml/src/org/netbeans/modules/ruby/rhtml/RhtmlLanguage.java,v
done
Checking in rhtml/src/org/netbeans/modules/ruby/rhtml/RhtmlLanguage.java;
/cvs/ruby/rhtml/src/org/netbeans/modules/ruby/rhtml/RhtmlLanguage.java,v  <--  RhtmlLanguage.java
initial revision: 1.1
done
RCS file: /cvs/ruby/rhtml/src/org/netbeans/modules/ruby/rhtml/RhtmlFinder.java,v
done
Checking in rhtml/src/org/netbeans/modules/ruby/rhtml/RhtmlFinder.java;
/cvs/ruby/rhtml/src/org/netbeans/modules/ruby/rhtml/RhtmlFinder.java,v  <--  RhtmlFinder.java
initial revision: 1.1
done
Checking in rhtml/src/org/netbeans/modules/ruby/rhtml/RhtmlIndentTask.java;
/cvs/ruby/rhtml/src/org/netbeans/modules/ruby/rhtml/RhtmlIndentTask.java,v  <--  RhtmlIndentTask.java
new revision: 1.3; previous revision: 1.2
done
RCS file: /cvs/ruby/rhtml/src/org/netbeans/modules/ruby/rhtml/RhtmlCompleter.java,v
done
Checking in rhtml/src/org/netbeans/modules/ruby/rhtml/RhtmlCompleter.java;
/cvs/ruby/rhtml/src/org/netbeans/modules/ruby/rhtml/RhtmlCompleter.java,v  <--  RhtmlCompleter.java
initial revision: 1.1
done
Checking in rhtml/test/unit/src/org/netbeans/modules/ruby/rhtml/editor/completion/RhtmlModelTest.java;
/cvs/ruby/rhtml/test/unit/src/org/netbeans/modules/ruby/rhtml/editor/completion/RhtmlModelTest.java,v  <-- 
RhtmlModelTest.java
new revision: 1.6; previous revision: 1.5
done
Checking in hints/src/org/netbeans/modules/ruby/hints/infrastructure/RubyHintsProvider.java;
/cvs/ruby/hints/src/org/netbeans/modules/ruby/hints/infrastructure/RubyHintsProvider.java,v  <--  RubyHintsProvider.java
new revision: 1.12; previous revision: 1.11
done
Removing gsf/src/org/netbeans/modules/retouche/editor/completion/api/GsfCompletionQuery.java;
/cvs/ruby/gsf/src/org/netbeans/modules/retouche/editor/completion/api/GsfCompletionQuery.java,v  <-- 
GsfCompletionQuery.java
new revision: delete; previous revision: 1.1
done
Checking in gsf/api/src/org/netbeans/api/gsf/CompilationInfo.java;
/cvs/ruby/gsf/api/src/org/netbeans/api/gsf/CompilationInfo.java,v  <--  CompilationInfo.java
new revision: 1.2; previous revision: 1.1
done
Checking in gsf/api/src/org/netbeans/api/gsf/PositionManager.java;
/cvs/ruby/gsf/api/src/org/netbeans/api/gsf/PositionManager.java,v  <--  PositionManager.java
new revision: 1.2; previous revision: 1.1
done
Checking in gsf/api/src/org/netbeans/api/gsf/GsfLanguage.java;
/cvs/ruby/gsf/api/src/org/netbeans/api/gsf/GsfLanguage.java,v  <--  GsfLanguage.java
new revision: 1.2; previous revision: 1.1
done
Checking in gsf/api/src/org/netbeans/api/gsf/InstantRenamer.java;
/cvs/ruby/gsf/api/src/org/netbeans/api/gsf/InstantRenamer.java,v  <--  InstantRenamer.java
new revision: 1.2; previous revision: 1.1
done
Checking in gsf/api/src/org/netbeans/api/gsf/Completable.java;
/cvs/ruby/gsf/api/src/org/netbeans/api/gsf/Completable.java,v  <--  Completable.java
new revision: 1.4; previous revision: 1.3
done
Checking in rhtml/src/org/netbeans/modules/ruby/rhtml/resources/layer.xml;
/cvs/ruby/rhtml/src/org/netbeans/modules/ruby/rhtml/resources/layer.xml,v  <--  layer.xml
new revision: 1.7; previous revision: 1.6
done
Checking in rhtml/src/org/netbeans/modules/ruby/rhtml/resources/DefaultKeyBindings.xml;
/cvs/ruby/rhtml/src/org/netbeans/modules/ruby/rhtml/resources/DefaultKeyBindings.xml,v  <--  DefaultKeyBindings.xml
new revision: 1.3; previous revision: 1.2
done
Checking in rhtml/test/unit/src/org/netbeans/modules/ruby/rhtml/editor/RhtmlKitTest.java;
/cvs/ruby/rhtml/test/unit/src/org/netbeans/modules/ruby/rhtml/editor/RhtmlKitTest.java,v  <--  RhtmlKitTest.java
new revision: 1.5; previous revision: 1.4
done
Checking in gsf/src/org/netbeans/modules/retouche/editor/completion/GsfCompletionProvider.java;
/cvs/ruby/gsf/src/org/netbeans/modules/retouche/editor/completion/GsfCompletionProvider.java,v  <-- 
GsfCompletionProvider.java
new revision: 1.9; previous revision: 1.8
done
RCS file: /cvs/ruby/editing/catalog.xml,v
done
Checking in editing/catalog.xml;
/cvs/ruby/editing/catalog.xml,v  <--  catalog.xml
initial revision: 1.1
done
Checking in rhtml/test/unit/src/org/netbeans/modules/ruby/rhtml/RhtmlTestBase.java;
/cvs/ruby/rhtml/test/unit/src/org/netbeans/modules/ruby/rhtml/RhtmlTestBase.java,v  <--  RhtmlTestBase.java
new revision: 1.4; previous revision: 1.3
done
IDE: [9/28/07 1:47 PM] Committing finished


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo